[
{
    blockid=part;
    help=store_part_part;
    custom=com.netscape.management.msgserv.StoreGeneralControl;
    localvar={
	/* translate this block */
	.header.text="\u5206\u533a\u914d\u7f6e";
	.part.text="\u90ae\u4ef6\u5b58\u50a8\u5e93\u5206\u533a\u7684\u5217\u8868";
	.default.header="\u9ed8\u8ba4";
	.name.header="\u522b\u540d";
	.path.header="\u8def\u5f84";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=label;
			    id=partlabel;
			    text=$.part.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=table;
			    label=partlabel;
			    id=parttable;
			    showedit=true;
          addtext=$g.addbutton.text;
          edittext=$g.editbutton.text;
          deltext=$g.deletebutton.text;
			    columns=[
				{
				    header=$.default.header;
				    renderer=boolean;
				    editor=boolean;
				    width=60;
				},
				{
				    header=$.name.header;
				    width=120;
				},
				{
				    header=$.path.header;
				    width=260;
				}
			    ];
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editentry;
    help=store_part_editentry;
    localvar={
	.name.text="\u5206\u533a\u522b\u540d:";
	.path.text="\u5206\u533a\u8def\u5f84:";
	.default.text="\u4f7f\u4e4b\u6210\u4e3a\u9ed8\u8ba4\u5206\u533a";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size1;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    validate=com.netscape.management.msgserv.util.ValidLowerAlphanumeric;
			    errhint=$.name.text;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=text;
		    label=pathlabel;
		    val=$path;
		    validate=com.netscape.management.msgserv.util.ValidAbsolutePath;
		    errhint=$.path.text;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    id=defaultcheck;
		    label=defaultlabel;
		    val=$.default.val;
		    text=$.default.text;
		}
	    ]
	}
    ]
}
]
